// ==  マスター側のプログラム ==
//  include  -- 必要ファイルの読み込み
#include <FtduinoSimple.h>
#include <Wire.h>
void setup() {
  Wire.begin();    // マスターとして I2C開始
}
 //  関数を作成
void set_output(int o, int v) { 
  Wire.beginTransmission(43);         // アドレスが 42 のI2Cデバイスにデータを送信
  Wire.write(0 + o - Ftduino::O1);    // O1 を指定
  Wire.write((v == Ftduino::HI) ? 1 : 0); // スイッチが押されて入れば 1 押されていないなら 0 を送信
  Wire.endTransmission();             //  転送終了
}
//  関数を作成
void set_output02(int o, int v) {
  Wire.beginTransmission(44);        // アドレスが 44 のI2Cデバイスにデータを送信
  Wire.write(0 + o - Ftduino::O1);    // O1を指定
  Wire.write((v == Ftduino::HI) ? 1 : 0); // スイッチが押されているなら 1 押されていないなら 0
  Wire.endTransmission();             // 転送終了
}
void loop() {
  // スイッチの入力を取得
  if (ftduino.input_get(Ftduino::I1))
    set_output01(Ftduino::O1, Ftduino::HI);
  else
    set_output01(Ftduino::O1, Ftduino::LO);

  if (ftduino.input_get(Ftduino::I2))
    set_output02(Ftduino::O1, Ftduino::HI);
  else
    set_output02(Ftduino::O1, Ftduino::LO);
  delay(10);
}
